'use client';

import { useState, useEffect } from 'react';
import Link from 'next/link';
import { Album } from '@/entities/album.entity';
import { CreateAlbumForm } from '@/app/ui/form';

export default function Page() {
  const [albums, setAlbums] = useState<Album[]>([]);

  useEffect(() => {
    async function fetchAlbums() {
      const response = await fetch('https://api.anatid.net/album');
      const data = await response.json();
      setAlbums(data);
    }
    fetchAlbums()
  }, []);

  if (!albums) return <div>Loading...</div>

  return (
    <div>
      <ul>
        {albums.map((album: Album) => (
          <li key={album.id}>
            <Link
              href={{
                pathname: `/album/${album.id}`
              }}
            >{album.title}
            </Link> by {album.artist} ({album.genre})</li>
        ))}
      </ul>
      {CreateAlbumForm()}
    </div>
  );
}
